<?php
class mojException extends Exception
{
    function __toString()
    {
        return "<strong>Wyjątek ". $this->getCode()."
                </strong>: ". $this->getMessage()."<br />"."
                w ".$this->getFile()." w wierszu ". $this->getLine()."<br />";
    }
}

try
{
    throw new mojException("Wystąpił okropny błąd", 42);
}
catch (mojException $m)
{
    echo $m;
}
?>